PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Here is a list of all class members with links to the classes they belong to:

### - f -

- Factory_T : PDevicePluginAdapter< DeviceBase >
- fakeIndex : PHTTPDirRequest
- family : PSTUNAddressAttribute
- faultCode : PSOAPClient , PXMLRPC , PXMLRPCBlock
- faultText : PXMLRPC , PXMLRPCBlock , PSOAPClient
- FaultyFault : PXMLRPC
- February : PTime
- Field() : PODBC::Field
- FieldElement() : PHTML::FieldElement
- fieldNames : PHTTPForm
- fields : PHTTPForm , PHTTPCompositeField
- Fifo : PFileInfo
- file : PHTTPFileRequest
- FileAndLine : PTrace
- FileExists : PChannel
- fileName : PMemoryHeap::Header
- filePath : PHTTPFile
- FilePositionOrigin : PFile
- FileTypes : PFileInfo
- Filled : PVXMLGrammar
- FillYUV420P() : PColourConverter
- FilterInterfaces() : PInterfaceFilter
- Finalise() : PSHA1Context
- find() : PDictionary< K, D > , PList< T > , PSortedList< T > , PSafeDictionary< K, D >
- Find() : PString , PIpAccessControlList
- find() : PSet< T > , PDictionary< K, D >
- FindAttribute() : PSTUNMessage
- FindAttributeOfType() : PSTUNMessage
- FindAuthorisations() : PHTTPDirectory
- FindElement() : PAbstractList , PAbstractSortedList
- FindItem() : XMPP::Roster
- FindLast() : PString
- FindNatType() : PSTUNClient
- FindObject() : PXMLElement
- FindOneOf() : PString
- FindRegEx() : PString
- FindResource() : PHTTPSpace
- FindSpan() : PString
- FindWithLock() : PSafeDictionaryBase< Coll, Key, Base > , PSafeColl< Coll, Base >
- Finish() : PVXMLNodeHandler
- FinishRFC3489Discovery() : PSTUN
- first : PDictionary< K, D >::iterator_pair< CK, CD > , PSafeDictionary< K, D >::iterator_pair
- First : PBitwiseEnum< BaseEnum, MaxValue, BaseInt > , PODBC::Row , PODBC::RecordSet
- firstRealObject : PMemoryHeap
- Flags : PMemoryHeap , DnsRecord
- flags : PMemoryHeap::Header , PMemoryHeap , PDNS::NAPTRRecord , PSTUNChangeRequest
- flip : PVideoDevice::OpenArgs
- Float32 : PStructuredFile
- Float64 : PStructuredFile
- Float80 : PStructuredFile
- floatDouble : PVarType::Variant
- floatExtended : PVarType::Variant
- floatSingle : PVarType::Variant
- Flow() : PIPSocket::QoS::Flow
- FlowControl() : PVideoInputDevice , PSerialChannel , PTelnetSocket , PChannel , PVideoChannel
- FlushQueue() : PVXMLChannel
- FnType : PThreadMain , PThread1Arg< Arg1Type > , PThread2Arg< Arg1Type, Arg2Type > , PThread3Arg< Arg1Type, Arg2Type, Arg3Type >
- Forbidden : PHTTP
- ForceLogout : PTelnetSocket
- Form() : PHTML::Form
- format : PVarType::Variant
- FormatFault() : PSOAPServerResource , PXMLRPCServerResource
- formatInfo : PSound
- Formats : PTimeInterval
- FormFeedDisposition : PTelnetSocket
- FormField() : PHTML::FormField
- ForwardDomain() : PSMTPServer
- ForwardedTag() : PHTTP
- ForwardResult : PSMTPServer
- fragment : PURL
- Frame() : PEthSocket::Frame
- FrameComplete() : PVideoOutputDeviceRGB
- frameDelay : PDelayChannel
- frameHeight : PVideoFrameInfo
- FrameNotifier : PEthSocketThread
- frameRate : PVideoFrameInfo
- frameSize : PDelayChannel
- framesizes : PVideoInputDevice::Capabilities
- frameStore : PVideoDevice
- frameWidth : PVideoFrameInfo
- FreeCertificate() : PSSLCertificate
- freeFillChar : PMemoryHeap
- FreePrivateKey() : PSSLPrivateKey
- Friday : PTime
- From : XMPP::Roster
- fromAddress : PSMTPServer , PSMTPClient
- FromBase64() : PXMLRPCVariableBase
- FromBinary() : PLDAPAttributeBase
- FromBit() : PBitwiseEnum< BaseEnum, MaxValue, BaseInt >
- FromBits() : PBitwiseEnum< BaseEnum, MaxValue, BaseInt >
- FromConfig() : PXMLSettings
- FromLiteral() : PString
- fromPath : PSMTPServer
- FromString() : PStringToString , PXMLRPCArrayObjectsBase , PIPSocket::Address , PXMLRPCVariableBase , PStreamableBitwiseEnum< BaseEnum, MaxValue, BaseInt > , PLDAPAttributeBase
- FromTag() : PRFC822Channel , PHTTP , XMPP::Stanza
- front() : PList< T > , PSortedList< T >
- fullName : PHTTPField
- FullName : PTime
- FullURL : PURL
- Function : PSafeWorkArg2< PtrClass, Arg1Type, Arg2Type, FuncRet > , PSafeWorkNoArg< PtrClass, FuncRet > , PSafeWorkArg1< PtrClass, Arg1Type, FuncRet > , PSafeWorkArg3< PtrClass, Arg1Type, Arg2Type, Arg3Type, FuncRet > , PDynaLink
- FunctionMap : PScriptLanguage
- FunctionNotifier : PScriptLanguage
- FunctionPtr : PNotifierTemplate< ParamType >